<Addin id        = "VersionControl.Subversion"
       namespace = "MonoDevelop"
       name      = "Subversion support for the Version Control Add-in"
       author    = "Joshua Tauberer"
       copyright = "GPL"
       url       = "http://taubz.for.net/code/diff"
       description = "Subversion support for the Version Control Add-in"
       category    = "Version Control"
       version   = "1.9.2">
 
	<Runtime>
		<Import assembly="MonoDevelop.VersionControl.Subversion.dll"/>
	</Runtime>

	<Dependencies>
	    <Addin id="Core" version="1.9.2"/>
	    <Addin id="Core.Gui" version="1.9.2"/>
		<Addin id="Projects" version="1.9.2"/>
	    <Addin id="Ide" version="1.9.2"/>
	    <Addin id="VersionControl" version="1.9.2"/>
	</Dependencies>
	
	<Extension path = "/MonoDevelop/VersionControl/VersionControlSystems">
		<Class class = "MonoDevelop.VersionControl.Subversion.SubversionVersionControl" />
	</Extension>

	<Extension path = "/MonoDevelop/Ide/Commands/VersionControl">
		<Command id = "MonoDevelop.VersionControl.Subversion.Commands.Resolve" 
			_label = "Resolve"
			description = "Resolve conflicts on working copy files or directories."/>
	</Extension>
	
	<Extension path = "/MonoDevelop/Ide/Pads/ProjectPad">
		<NodeBuilder class = "MonoDevelop.VersionControl.Subversion.SubversionNodeExtension"/>
	</Extension>

	<Extension path = "/MonoDevelop/Ide/ContextMenu/ProjectPad/VersionControl">
		<Condition id="ItemType" value="IFileItem|IFolderItem">
			<CommandItem id = "MonoDevelop.VersionControl.Subversion.Commands.Resolve" insertafter="MonoDevelop.VersionControl.Commands.Revert" />
		</Condition>
	</Extension>
	
	<Extension path = "/MonoDevelop/VersionControl/StatusViewCommands">
		<CommandItem id = "MonoDevelop.VersionControl.Subversion.Commands.Resolve" type="MonoDevelop.VersionControl.Subversion.SubversionCommandHandler"/>
	</Extension>
</Addin>
	
